org.apache.hc.client5.http.impl.classic

## Class ClassicRequestCopier

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.ClassicRequestCopier

All Implemented Interfaces:
  MessageCopier<ClassicHttpRequest>

Deprecated.
Use `ClassicRequestBuilder`

    @Deprecated
    public final class ClassicRequestCopier
    extends Object
    implements MessageCopier<ClassicHttpRequest>

`ClassicHttpRequest` copier.

Since:
  5.0

### Field Summary

Fields
`static ClassicRequestCopier` `INSTANCE` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`ClassicRequestCopier()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ClassicHttpRequest` `copy(ClassicHttpRequest original)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ClassicRequestCopier INSTANCE

Deprecated.

### Constructor Detail

#### ClassicRequestCopier

    public ClassicRequestCopier()

Deprecated.

### Method Detail

#### copy

    public ClassicHttpRequest copy(ClassicHttpRequest original)

Deprecated.

Specified by:
  `copy` in interface `MessageCopier<ClassicHttpRequest>`